path: /build/build/olsrd-net-misc-0.9.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-pud gtk" emerge net-misc/olsrd -pv -t && \
    USE="-pud gtk" emerge -j ${JOBS} --nodeps net-misc/olsrd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/olsrd && luet-portage --dir /pkgdir/olsrd
    net-misc/olsrd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: olsrd
    version: 0.9.7
    category: net-misc
    use_flags:
    - -pud
    - gtk
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An implementation of the Optimized Link State Routing protocol
    uri:
    - http://www.olsr.org/
    license: BSD LGPL-2.1
    buildtimestamp: 2023-09-17 07:13:54.540254615 +0000 UTC m=+109.195328184
    labels:
      DEPEND: gtk? ( dev-libs/glib:2 x11-libs/gdk-pixbuf:2 x11-libs/gtk+:2 ) pud?
        ( sci-geosciences/gpsd )
      IUSE: gtk pud
      RDEPEND: gtk? ( dev-libs/glib:2 x11-libs/gdk-pixbuf:2 x11-libs/gtk+:2 ) pud?
        ( sci-geosciences/gpsd )
      emerge.packages: net-misc/olsrd
      kit: net-kit
      original.package.name: net-misc/olsrd
      original.package.slot: "0"
      original.package.version: 0.9.7
    treedir: /build/packages
  package_dir: /pkgdir/olsrd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c43f9c75b7c8671a64fc90bbe71a2f79960ff298fd693d8121a4ef5277b0a540
compressiontype: zstd
files:
- etc/init.d/olsrd
- etc/olsrd/olsrd.conf
- etc/olsrd/olsrd.sgw.speed.conf
- usr/bin/olsrd-gui
- usr/lib64/olsrd/olsrd_arprefresh.so.0.1
- usr/lib64/olsrd/olsrd_bmf.so.1.7.0
- usr/lib64/olsrd/olsrd_dot_draw.so.0.3
- usr/lib64/olsrd/olsrd_dyn_gw.so.0.5
- usr/lib64/olsrd/olsrd_dyn_gw_plain.so.0.4
- usr/lib64/olsrd/olsrd_httpinfo.so.0.1
- usr/lib64/olsrd/olsrd_jsoninfo.so.1.1
- usr/lib64/olsrd/olsrd_mdns.so.1.0.1
- usr/lib64/olsrd/olsrd_mini.so.0.1
- usr/lib64/olsrd/olsrd_nameservice.so.0.4
- usr/lib64/olsrd/olsrd_netjson.so.1.1
- usr/lib64/olsrd/olsrd_p2pd.so.0.1.0
- usr/lib64/olsrd/olsrd_pgraph.so.1.1
- usr/lib64/olsrd/olsrd_poprouting.so.1.0
- usr/lib64/olsrd/olsrd_quagga.so.0.2.2
- usr/lib64/olsrd/olsrd_secure.so.0.6
- usr/lib64/olsrd/olsrd_sgwdynspeed.so.1.0.0
- usr/lib64/olsrd/olsrd_txtinfo.so.1.1
- usr/lib64/olsrd/olsrd_watchdog.so.0.1
- usr/sbin/olsrd
- usr/sbin/sgw_policy_routing_setup.sh
- usr/share/doc/olsrd-0.9.7/CHANGELOG.bz2
- usr/share/doc/olsrd-0.9.7/README_ARPREFRESH.bz2
- usr/share/doc/olsrd-0.9.7/README_BMF.bz2
- usr/share/doc/olsrd-0.9.7/README_DOT_DRAW.bz2
- usr/share/doc/olsrd-0.9.7/README_DYN_GW.bz2
- usr/share/doc/olsrd-0.9.7/README_DYN_GW_PLAIN.bz2
- usr/share/doc/olsrd-0.9.7/README_HTTPINFO.bz2
- usr/share/doc/olsrd-0.9.7/README_MINI.bz2
- usr/share/doc/olsrd-0.9.7/README_NAMESERVICE.bz2
- usr/share/doc/olsrd-0.9.7/README_PGRAPH.bz2
- usr/share/doc/olsrd-0.9.7/README_QUAGGA.bz2
- usr/share/doc/olsrd-0.9.7/README_SECURE.bz2
- usr/share/doc/olsrd-0.9.7/README_TXTINFO.bz2
- usr/share/doc/olsrd-0.9.7/README_WATCHDOG.bz2
- usr/share/doc/olsrd-0.9.7/olsrd.conf.default.lq.bz2
- usr/share/doc/olsrd-0.9.7/olsrd.conf.default.rfc.bz2
- usr/share/doc/olsrd-0.9.7/valgrind-howto.txt.bz2
- usr/share/man/man5/olsrd.conf.5.bz2
- usr/share/man/man8/olsrd.8.bz2
- var/db/pkg/net-misc/olsrd-0.9.7/BUILD_TIME
- var/db/pkg/net-misc/olsrd-0.9.7/CATEGORY
- var/db/pkg/net-misc/olsrd-0.9.7/CBUILD
- var/db/pkg/net-misc/olsrd-0.9.7/CFLAGS
- var/db/pkg/net-misc/olsrd-0.9.7/CHOST
- var/db/pkg/net-misc/olsrd-0.9.7/CONTENTS
- var/db/pkg/net-misc/olsrd-0.9.7/COUNTER
- var/db/pkg/net-misc/olsrd-0.9.7/CXXFLAGS
- var/db/pkg/net-misc/olsrd-0.9.7/DEFINED_PHASES
- var/db/pkg/net-misc/olsrd-0.9.7/DEPEND
- var/db/pkg/net-misc/olsrd-0.9.7/DESCRIPTION
- var/db/pkg/net-misc/olsrd-0.9.7/EAPI
- var/db/pkg/net-misc/olsrd-0.9.7/FEATURES
- var/db/pkg/net-misc/olsrd-0.9.7/HOMEPAGE
- var/db/pkg/net-misc/olsrd-0.9.7/INHERITED
- var/db/pkg/net-misc/olsrd-0.9.7/IUSE
- var/db/pkg/net-misc/olsrd-0.9.7/IUSE_EFFECTIVE
- var/db/pkg/net-misc/olsrd-0.9.7/KEYWORDS
- var/db/pkg/net-misc/olsrd-0.9.7/LDFLAGS
- var/db/pkg/net-misc/olsrd-0.9.7/LICENSE
- var/db/pkg/net-misc/olsrd-0.9.7/NEEDED
- var/db/pkg/net-misc/olsrd-0.9.7/PF
- var/db/pkg/net-misc/olsrd-0.9.7/PROVIDES
- var/db/pkg/net-misc/olsrd-0.9.7/RDEPEND
- var/db/pkg/net-misc/olsrd-0.9.7/REQUIRES
- var/db/pkg/net-misc/olsrd-0.9.7/SIZE
- var/db/pkg/net-misc/olsrd-0.9.7/SLOT
- var/db/pkg/net-misc/olsrd-0.9.7/USE
- var/db/pkg/net-misc/olsrd-0.9.7/environment.bz2
- var/db/pkg/net-misc/olsrd-0.9.7/olsrd-0.9.7.ebuild
- var/db/pkg/net-misc/olsrd-0.9.7/repository
package_cacheimage: ""
runtime:
  name: olsrd
  version: 0.9.7
  category: net-misc
  use_flags:
  - -pud
  - gtk
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An implementation of the Optimized Link State Routing protocol
  uri:
  - http://www.olsr.org/
  license: BSD LGPL-2.1
  labels:
    DEPEND: gtk? ( dev-libs/glib:2 x11-libs/gdk-pixbuf:2 x11-libs/gtk+:2 ) pud? (
      sci-geosciences/gpsd )
    IUSE: gtk pud
    RDEPEND: gtk? ( dev-libs/glib:2 x11-libs/gdk-pixbuf:2 x11-libs/gtk+:2 ) pud? (
      sci-geosciences/gpsd )
    emerge.packages: net-misc/olsrd
    kit: net-kit
    original.package.name: net-misc/olsrd
    original.package.slot: "0"
    original.package.version: 0.9.7
